Skip to content

CreateIntegrationOwner

POST/api/v1/integrations/{integration}/owners

Add an owner to an integration. Owners manage the integration’s settings and its other owners.

curl -X POST \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
-H "Content-Type: application/json" \
-d '{ "owner": "string" }' \
"https://us.oblique.security/api/v1/integrations/{integration}/owners"

Set OBLIQUE_API_KEY to your API key.

  • parentstringrequired

    Format: integrations/{integration}

  • integrationOwnerIdstring

    If specified, use this as the ID of the integration owner.

  • namestring

    Assigned by Oblique. Name of the owner of the format integrations/{integration}/owners/{owner}.

  • ownerstringrequired

    Set once, when the resource is created. The owner of the integration. This can be a user, group, or team.

    Format: users/{user}, groups/{group}, teams/{team}

  • createTimestring (date-time)read-only

    Create and update timestamps.

  • updateTimestring (date-time)read-only
200IntegrationOwner

An IntegrationOwner is a user, team, or group that owns an integration. The user who adds an integration is made its first owner.

  • namestring

    Assigned by Oblique. Name of the owner of the format integrations/{integration}/owners/{owner}.

  • ownerstringrequired

    Set once, when the resource is created. The owner of the integration. This can be a user, group, or team.

    Format: users/{user}, groups/{group}, teams/{team}

  • createTimestring (date-time)read-only

    Create and update timestamps.

  • updateTimestring (date-time)read-only
StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error